org.apache.ode.bpel.runtime

## Class InvalidProcessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ode.bpel.runtime.InvalidProcessException

- All Implemented Interfaces:
    java.io.Serializable

      public class InvalidProcessException
      extends java.lang.RuntimeException

  A run-time exception indicating that the process is invalid. This should not normally occur: that is, a process should be found to be invalid before it is executed. Therefore, this can be viewed as a rather rare and serious condition.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_CAUSE_CODE`
    `static int` | `RETIRED_CAUSE_CODE`
    `static int` | `TOO_HUGE_PROCESSES_CAUSE_CODE`
    `static int` | `TOO_MANY_INSTANCES_CAUSE_CODE`
    `static int` | `TOO_MANY_PROCESSES_CAUSE_CODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidProcessException(java.lang.Exception cause)`
    `InvalidProcessException(int causeCode)`
    `InvalidProcessException(java.lang.String msg)`
    `InvalidProcessException(java.lang.String message, int causeCode)`
    `InvalidProcessException(java.lang.String msg, java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCauseCode()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_CAUSE_CODE

          public static final int DEFAULT_CAUSE_CODE

      See Also:
        Constant Field Values

    - #### RETIRED_CAUSE_CODE

          public static final int RETIRED_CAUSE_CODE

      See Also:
        Constant Field Values

    - #### TOO_MANY_INSTANCES_CAUSE_CODE

          public static final int TOO_MANY_INSTANCES_CAUSE_CODE

      See Also:
        Constant Field Values

    - #### TOO_MANY_PROCESSES_CAUSE_CODE

          public static final int TOO_MANY_PROCESSES_CAUSE_CODE

      See Also:
        Constant Field Values

    - #### TOO_HUGE_PROCESSES_CAUSE_CODE

          public static final int TOO_HUGE_PROCESSES_CAUSE_CODE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InvalidProcessException

          public InvalidProcessException(java.lang.String msg,
                                         java.lang.Throwable cause)

    - #### InvalidProcessException

          public InvalidProcessException(java.lang.String msg)

    - #### InvalidProcessException

          public InvalidProcessException(java.lang.Exception cause)

    - #### InvalidProcessException

          public InvalidProcessException(int causeCode)

      Parameters:
        `causeCode` -

    - #### InvalidProcessException

          public InvalidProcessException(java.lang.String message,
                                         int causeCode)

      Parameters:
        `message` -
        `causeCode` -

  - ### Method Detail

    - #### getCauseCode

          public int getCauseCode()

      Returns:
        the cause code